Переполнение буфера в Asterisk

Дата публикации:
28.08.2006
Всего просмотров:
1161
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-4345
CVE-2006-4346
Вектор эксплуатации:
Локальная сеть
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Asterisk 1.x
Уязвимые версии: Asterisk 1.2.10 и более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании или выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных в реализации MGCP. Удаленный пользователь может с помощью специально сформированного ответа AUEP вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: www.asterisk.org

Решение: Установите последнюю версию (1.2.11) с сайта производителя.

Ссылки: Multiple Vulnerabilities in Asterisk 1.2.10

или введите имя

CAPTCHA